Přeskočit na hlavní obsah

Tento prohlížeč se už nepodporuje.

Upgradujte na Microsoft Edge, abyste mohli využívat nejnovější funkce, aktualizace zabezpečení a technickou podporu.

Stáhnout Microsoft Edge Další informace o Internet Exploreru a Microsoft Edgi
microsoft-foundry.rest.security.o-auth2-auth

Toolboxes

Update a toolbox to point to a specific version

PATCH /toolboxes/{name}

Updates the toolbox's default version pointer to the specified version.

Parametry cesty

name string vyžadováno

The name of the toolbox to update.

Parametry dotazů

api-version string vyžadováno

The API version to use for this operation.

Text požadavku

Content-Type: application/json
default_version string vyžadováno

The version identifier that the toolbox should point to. When set, the toolbox's default version will resolve to this version instead of the latest.

Odpovědi

The request has succeeded.

Text

Content-Type: application/json
id string vyžadováno

The unique identifier of the toolbox.

name string vyžadováno

The name of the toolbox.

updated_at integer vyžadováno
versions ToolboxVersions vyžadováno

The versions associated with a toolbox.

latest ToolboxVersionObject vyžadováno

A specific version of a toolbox.

metadata object | null vyžadováno

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

[key: string] string
id string vyžadováno

The unique identifier of the toolbox version.

name string vyžadováno

The name of the toolbox.

version string vyžadováno

The version identifier of the toolbox. Toolbox versions are immutable and every update creates a new version.

description string

A human-readable description of the toolbox.

created_at integer vyžadováno

The Unix timestamp (seconds) when the toolbox version was created.

tools ToolboxTool[] vyžadováno

The list of tools contained in this toolbox version.

skills ToolboxSkill[]

The list of skill sources included in this toolbox version.

policies ToolboxPolicies

Policy configuration for a toolbox, including content safety and other governance settings.

rai_config RaiConfig

Configuration for Responsible AI (RAI) content filtering and safety features.

rai_policy_name string vyžadováno

The name of the RAI policy to apply.

invocations_moderation RaiInvocationModeration

Declares where request/response text lives so content-safety guardrails can extract it.

input_content_type string | enum

How an invocations request/response body is parsed to locate text for content-safety moderation.

Některá z následujících možností:
string
enum
jsontext
output_content_type string | enum

How an invocations request/response body is parsed to locate text for content-safety moderation.

Některá z následujících možností:
string
enum
jsontext
response_mode string | enum vyžadováno

Author-declared response shape for the invocations protocol.

Některá z následujících možností:
string
enum
non_streamingstreamingboth
input_paths string[]

Path(s) to user text in the REQUEST body. Required when input_content_type is json.

output_paths string[]

Path(s) to agent text in a NON-STREAMING response body. Required when response_mode is non_streaming/both and output_content_type is json.

stream_selectors RaiSseTextSelector[]

One SSE event->field selector per event type carrying text. Required when response_mode is streaming/both and output_content_type is json.

default_version string vyžadováno

The version identifier that the toolbox currently points to. Defaults to the latest version. Can be changed via updateToolbox.

Client error

Text

Content-Type: application/json
error OpenAI.Error vyžadováno
code string | null vyžadováno
message string vyžadováno
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Některá z následujících možností:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string vyžadováno

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Text

Content-Type: application/json
error OpenAI.Error vyžadováno
code string | null vyžadováno
message string vyžadováno
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Některá z následujících možností:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string vyžadováno

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Žádost

PATCH /toolboxes/{name} HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
cs-cz
Vaše volby ochrany osobních údajů
  • Právní omezení AI
  • Předchozí verze
  • Blog
  • Přispět
  • Ochrana osobních údajů
  • Ochrana osobních zdravotních údajů spotřebitelů
  • Podmínky použití
  • Ochranné známky
  • © Microsoft 2026